DL_KeyAgreementAlgorithm_DH< ELEMENT, COFACTOR_OPTION > Class Template Reference
Inheritance diagram for DL_KeyAgreementAlgorithm_DH< ELEMENT, COFACTOR_OPTION >:

## Public Types

typedef ELEMENT | Element
Public Types inherited from DL_KeyAgreementAlgorithm< ELEMENT >
typedef ELEMENT | Element

## Public Member Functions

Element | AgreeWithEphemeralPrivateKey (const DL_GroupParameters< Element > &params, const DL_FixedBasePrecomputation< Element > &publicPrecomputation, const Integer &privateExponent) const
Element | AgreeWithStaticPrivateKey (const DL_GroupParameters< Element > &params, const Element &publicElement, bool validateOtherPublicKey, const Integer &privateExponent) const

## Static Public Member Functions

static const char * | StaticAlgorithmName ()

## Detailed Description

### template<class ELEMENT, class COFACTOR_OPTION>
class DL_KeyAgreementAlgorithm_DH< ELEMENT, COFACTOR_OPTION >

Diffie-Hellman key agreement algorithm

Definition at line 1972 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h